local result 
local vector2 = require("#microsoft.xna.framework.vector2")
local monocle = require("#monocle")
local coroutineEntity = monocle.Entity()

function onTalk()
  makeUnskippable()
  disableRetry()
  disableMovement()
  player.ForceCameraUpdate = true
  getLevel():add(coroutineEntity)
  player.Facing = getEnum("Celeste.Facings", "Right")
  say("FrogsakenCity")
  setFlag("TheCroaked", true)		
  end
	


function onEnd()
  getLevel():remove(coroutineEntity)
  player.ForceCameraUpdate = false
  celeste.Audio.SetMusicParam("dialog", 0.0)
  enableRetry()
end